Package wx :: Class TipWindow

[frames | no frames]

## Type TipWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
               PopupWindow --+
                             |
          PopupTransientWindow --+
                                 |
                                TipWindow

Proxy of C++ TipWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| ``Close`(self)` This function simply generates a EVT_CLOSE event whose handler usually tries to close the window.
| `SetBoundingRect(self, rectBound)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, text, maxLength=100, rectBound=None)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.PopupTransientWindow.__init__` (inherited documentation)

### Close(self)

This function simply generates a EVT_CLOSE event whose handler usually tries to close the window. It doesn't close the window itself, however. If force is False (the default) then the window's close handler will be allowed to veto the destruction of the window. Usually Close is only used with the top level windows (wx.Frame and wx.Dialog classes) as the others are not supposed to have any special EVT_CLOSE logic.

The close handler should check whether the window is being deleted forcibly, using wx.CloseEvent.GetForce, in which case it should destroy the window using wx.Window.Destroy.

Note that calling Close does not guarantee that the window will be destroyed; but it provides a way to simulate a manual close of a window, which may or may not be implemented by destroying the window. The default EVT_CLOSE handler for wx.Dialog does not necessarily delete the dialog, since it will simply simulate an wxID_CANCEL event which is handled by the appropriate button event handler and may do anything at all.

To guarantee that the window will be destroyed, call wx.Window.Destroy instead.

  Overrides:
    `wx.Window.Close`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:15 2007 | http://epydoc.sf.net